aboutsummaryrefslogtreecommitdiffstats
path: root/main/rsyslog/APKBUILD
diff options
context:
space:
mode:
authorAshley Sommer <ashleysommer@gmail.com>2016-05-25 17:08:19 +1000
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-31 09:16:22 +0000
commitf6243de5fae6b5256e076f53959f3f8404ae289f (patch)
treedd9daf07668403cbb416f2b2a7f6166845ad4c6a /main/rsyslog/APKBUILD
parent2cda862cd3294bfc1a211a3ec468d8848358ca42 (diff)
downloadaports-f6243de5fae6b5256e076f53959f3f8404ae289f.tar.gz
aports-f6243de5fae6b5256e076f53959f3f8404ae289f.tar.bz2
aports-f6243de5fae6b5256e076f53959f3f8404ae289f.tar.xz
main/rsyslog: update to 8.18.0, and apply a new musl fix
This commit brings rsyslog up to the latest release that has some nice performance improvements and bug fixes. This commit also includes an upstream fix from 8.19.0 (unreleased) which fixes a segfault present in all current rsyslog versions on musl. Version 8.17 and later of rsyslog has a new dependency. It now needs libfastjson installed to run. I created the libfastjson package earlier this month, it is in the `testing` directory. I believe libfastjson will need to be promoted from `testing` to `edge`.
Diffstat (limited to 'main/rsyslog/APKBUILD')
-rw-r--r--main/rsyslog/APKBUILD41
1 files changed, 30 insertions, 11 deletions
diff --git a/main/rsyslog/APKBUILD b/main/rsyslog/APKBUILD
index a5ccc9b23b..d98dd62786 100644
--- a/main/rsyslog/APKBUILD
+++ b/main/rsyslog/APKBUILD
@@ -1,17 +1,19 @@
# Contributor: Francisco Guerreiro <francisg@fnop.net>
# Contributor: Ɓukasz Jendrysik <scadu@yandex.com>
# Contributor: Cameron Banta <cbanta@gmail.com>
+# Contributor: Ashley Sommer <ashleysommer@gmail.com>
# Maintainer: Cameron Banta <cbanta@gmail.com>
pkgname=rsyslog
-pkgver=8.16.0
+pkgver=8.18.0
pkgrel=0
pkgdesc="Enhanced multi-threaded syslogd with database support and more."
url="http://www.rsyslog.com/"
arch="all"
license="GPLv3 LGPL3"
+depends=""
makedepends="zlib-dev gnutls-dev mariadb-dev postgresql-dev net-snmp-dev
libnet-dev libgcrypt-dev libee-dev libestr-dev liblogging-dev
- json-c-dev util-linux-dev py-docutils hiredis-dev"
+ libfastjson-dev util-linux-dev py-docutils hiredis-dev"
subpackages="$pkgname-doc $pkgname-mysql $pkgname-pgsql $pkgname-tls
$pkgname-snmp $pkgname-hiredis $pkgname-dbg"
source="http://www.rsyslog.com/files/download/$pkgname/$pkgname-$pkgver.tar.gz
@@ -20,9 +22,21 @@ source="http://www.rsyslog.com/files/download/$pkgname/$pkgname-$pkgver.tar.gz
$pkgname.logrotate
$pkgname.conf
musl-fix.patch
- "
+ queue.patch
+ 8e4bfe19b5d971f5df8520faf8753381b58e7ca7.patch
+ "
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
./configure \
@@ -56,7 +70,6 @@ package() {
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
-
install -m644 -D "$srcdir"/$pkgname.logrotate "$pkgdir"/etc/logrotate.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname.conf
}
@@ -96,21 +109,27 @@ snmp() {
"$subpkgdir"/usr/lib/rsyslog/ || return 1
}
-md5sums="52916045c07ebbd3ee77c39e8465bc4d rsyslog-8.16.0.tar.gz
+md5sums="750d552bdcbf255c85f464ffbe21168a rsyslog-8.18.0.tar.gz
67b8afd572b4103b39b54a729b880b53 rsyslog.initd
a34f33d8f798ab6652b347ad09656284 rsyslog.confd
bc43debc9ffdf66bc1409025fd3d1176 rsyslog.logrotate
+bc0a9b1095f5f6ffc937cd2c9bd26dff rsyslog.conf
480f153508fd10d157cefc0bb898fe2d musl-fix.patch
-bc0a9b1095f5f6ffc937cd2c9bd26dff rsyslog.conf"
-sha256sums="4fe4f97c10899086d98b9401d7e8d2bcff61c7c3f7cde8627891e36fc6ec1b76 rsyslog-8.16.0.tar.gz
+dece4c5510e5d4f88293eff74da5bf57 queue.patch
+0d32cadf752462f45bcde9b04df9ebfc 8e4bfe19b5d971f5df8520faf8753381b58e7ca7.patch"
+sha256sums="94346237ecfa22c9f78cebc3f18d59056f5d9846eb906c75beaa7e486f02c695 rsyslog-8.18.0.tar.gz
223d4bdb69760ef5a9a044d68434c805cd15e31fa190a86f5f283912d0baf6d6 rsyslog.initd
f93cd477770872486185152454ce66e89302b7a8d7a112ff285ceea892dfe1f1 rsyslog.confd
f0effc19bd1f1bfa367d65d6516c73509cb34545157b9e91cf6e437685dd3fe5 rsyslog.logrotate
+e4ebe806b5a71edaa4492033ea3a3e70810a64d3f3d4f4e9954eefcf25f2e2ed rsyslog.conf
5b8420570bef57aeba55965bbbddb29f966b60a33ef9e7fc5f921820274080b0 musl-fix.patch
-e4ebe806b5a71edaa4492033ea3a3e70810a64d3f3d4f4e9954eefcf25f2e2ed rsyslog.conf"
-sha512sums="e45acc16078d83937edd7e22f916fe050b62aa057ca4dd980823850f2195213c12db36f759c528b5fe6f1b061a61e2117fca6086245bc248392cc4e61b2383dc rsyslog-8.16.0.tar.gz
-20967235e8233588210071a7157a81fe02a1e88d7c7f55855fcc2fe34295269a6e3e3bfccb3d4dd83a6a48da28948c92d6ce47a0c5d817f6b6a4030635f4f896 musl-fix.patch
+8d6dda439c79dffac2a5d17e3d9a28355cfb8fc264175a871e27304ace259daa queue.patch
+940dcb4a48cbb8e235cab8c35dbb10c32bc6283574fe845dcce42a428a92ee3b 8e4bfe19b5d971f5df8520faf8753381b58e7ca7.patch"
+sha512sums="6b159ba23100b4675576f5b247d2bf482bab0beaa071c26c692c99e50f202b0b272b7a64ba2b7c726390d663677b7a6d68666b06f73825e35605b13ae0930fc7 rsyslog-8.18.0.tar.gz
9a4b184076a82e0899da79ab3749e1c67eac03f36c4460d34ed0385f4a3ffad53681a1cc25dd514e835c9399a9abd01c235743535ad549d5be7f66d9e127b9dc rsyslog.initd
a4d969671800227129be870b0318961b79d16365663754111a136734bbf7005abd4da24853dfdc07b3b6691ab5a7b215f0ac6c19022b4c5c8dab06165a42431b rsyslog.confd
d54377ddf39197656811a84272568ea761f984e19dd04fc54f372dd04a9244e66d02b26ab33073d0344d054f031660ec611f3c7a18c266e7b68cef5e2c47f06f rsyslog.logrotate
-3bcd58b222eb7f4d8a42a0643cacb6ab44790f90c9bd550678e002bc19863d5d6a7341e5e5ba0b9292f85c6c04cd5cc42d174acdc63e8ba22022620db10f2b9b rsyslog.conf"
+3bcd58b222eb7f4d8a42a0643cacb6ab44790f90c9bd550678e002bc19863d5d6a7341e5e5ba0b9292f85c6c04cd5cc42d174acdc63e8ba22022620db10f2b9b rsyslog.conf
+20967235e8233588210071a7157a81fe02a1e88d7c7f55855fcc2fe34295269a6e3e3bfccb3d4dd83a6a48da28948c92d6ce47a0c5d817f6b6a4030635f4f896 musl-fix.patch
+de8b82781af2dfef67b2215782721cca2ee5db9d08ed3260f4e3390353a59bf4bd76701df682c4bf537ce817eabf79b062c4b2a3e20e4175e7d77ca08c5a700f queue.patch
+53e1b3a219fec91bf13448398bda6239061027dbd5327260fd44d9e3b290386b43992c3a0d20e73971c5f5a682b9bd87d17ffbf42d40121d82c079970b325547 8e4bfe19b5d971f5df8520faf8753381b58e7ca7.patch"